summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/bacon9
1 files changed, 8 insertions, 1 deletions
diff --git a/bin/bacon b/bin/bacon
index d898345..8e78bca 100755
--- a/bin/bacon
+++ b/bin/bacon
@@ -93,7 +93,14 @@ end
 require 'bacon'
 
 Bacon.extend Bacon.const_get(output)
-at_exit { Bacon.handle_summary }
+at_exit {
+  Bacon.handle_summary
+  if $!
+    raise $!
+  elsif Bacon::Counter[:errors] + Bacon::Counter[:failed] > 0
+    exit 1
+  end
+}
 
 files.each { |file|
   load file